4Suite™ API Documentation

# ► Module Ft.Lib.DistExt.Formatters.ApiFormatter

Classes: ApiFormatter

## Classes

class ApiFormatter(Ft.Lib.DistExt.Formatters.XmlFormatter.XmlFormatter)

### Methods

__init__(self, command, modules)
doc_arguments(self, object)
doc_class(self, klass, name)
Produce XML documentation for a given class object.
doc_field(self, object, name, klass=None)
Produce XML documentation for a data object.
doc_function(self, func, name)
Document a function
doc_inherited(self, name)
Produce XML documentation for an inherited object.
doc_method(self, method, name, klass, kind)
Document a method, class method or static method as given by 'kind'
doc_module(self, module)
Produce documentation for a given module object.
doc_submodule(self, module, name)
Produce XML documentation for a submodule
format_arg(self, arg, default=None)
isdocumented(self, name)
ispublic(self, name)
write_description(self, object)
Produce XML tag(s) for an object description.

### Methods inherited from class Ft.Lib.DistExt.Formatters.XmlFormatter.XmlFormatter

document, end_element, section, start_element, warn, write_element

### Methods inherited from class Ft.Lib.DistExt.Formatters.XmlFormatter.XmlRepr

escape, repr, repr_str, repr_unicode

### Methods inherited from class pydoc.TextRepr

repr1, repr_instance, repr_string

### Methods inherited from class repr.Repr

repr_array, repr_deque, repr_dict, repr_frozenset, repr_list, repr_long, repr_set, repr_tuple

### Fields